<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-projects-settings-editor.qdoc -->
  <title>Specifying Editor Settings | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Specifying Editor Settings</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-run-settings.html" />
  <link rel="next" href="creator-code-style-settings.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-run-settings.html">Specifying Run Settings</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-code-style-settings.html">Specifying Code Style Settings</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Specifying Editor Settings</h1>
<span class="subtitle"></span>
<!-- $$$creator-editor-settings.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qt Creator uses the <a href="creator-mime-types.html">MIME type</a> of the file to determine which mode and editor to use for opening the file. For example, Qt Creator opens .txt files in <b>Edit</b> mode in the text editor.</p>
<p>You can configure the text editor according to your needs. You can specify editor behavior either globally for all projects or separately for each project. To specify global editor behavior, select <b>Tools &gt; Options &gt; Text Editor &gt; Behavior</b>.</p>
<p>To configure the text editor behavior for the current project:</p>
<ol class="1" type="1"><li>Select <b>Projects</b> &gt; <b>Project Settings</b> &gt; <b>Editor</b>.</li>
<li>In the <b>Editor settings</b> field, select <b>Custom</b>.</li>
<li>Specify text editor settings for the project.</li>
</ol>
<p class="centerAlign"><img src="images/qtcreator-editor-settings.png" alt="&quot;Editor view&quot;" /></p><p>Click <b>Restore Global</b> to revert to the global settings.</p>
<p>For more information about the settings, see:</p>
<ul>
<li><a href="creator-indenting-code.html">Indenting Text or Code</a></li>
<li><a href="creator-editor-options-text.html#file-encoding">File Encoding</a></li>
<li><a href="creator-coding-navigating.html#moving-to-symbol-definition-or-declaration">Moving to Symbol Definition or Declaration</a></li>
<li><a href="creator-editor-options-text.html#configuring-fonts">Configuring Fonts</a></li>
<li><a href="creator-highlighting.html#highlighting-and-folding-blocks">Highlighting and Folding Blocks</a></li>
<li><a href="creator-help.html#viewing-function-tooltips">Viewing Function Tooltips</a></li>
</ul>
</div>
<!-- @@@creator-editor-settings.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-run-settings.html">Specifying Run Settings</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-code-style-settings.html">Specifying Code Style Settings</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
